Bug 1025301 - Package xl2tpd pulls kernel-debug and kernel-debug-modules-extra / causes grub to boot to kernel-debug by default
Package xl2tpd pulls kernel-debug and kernel-debug-modules-extra / causes gru...
Status: CLOSED DUPLICATE of bug 1284228
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
: 1246344 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 08:39 EDT by bugzilla.redhat.com
Modified: 2016-03-14 08:08 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 08:08:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla.redhat.com 2013-10-31 08:39:32 EDT
Description of problem:
After I did some "yum groupinstall"s my X server stopped working after a reboot. Thought it was caused by (a)kmod-nvidia. Investigating the problem I found out that grub booted kernel-debug instead of a regular kernel. The debug kernel causes the nvidia module to fail to load. Turned out that NetworkManager-l2tp got installed which depends on xl2tpd which depends on kernel-debug and grub had set that one to the default kernel to boot.

Version-Release number of selected component (if applicable):
xl2tpd.x86_64 0:1.3.1-13.fc19
kernel-debug 3.11.6-200.fc19
kernel-debug-modules-extra 3.11.6-200.fc19

How reproducible:
Don't know

Steps to Reproduce:
1. yum install xl2tpd
2. reboot
3. notice default kernel listed in grub's boot menu

Actual results:
nvidia module doesn't load, nouveau driver uses a different (lowres) resolution

Expected results:
working X server

Additional info:
Comment 1 Paul Wouters 2013-11-02 19:08:55 EDT
I cannot reproduce this.

I double checked the spec file and the only requirements related to the kernel is kernel-modules-extra (not kernel-debug-modules-extra). So I'm not sure how this could happen.


paul@thinkpad:~/fedora/xl2tpd (f19)$ rpm -q kernel-debug xl2tpd
package kernel-debug is not installed
package xl2tpd is not installed
paul@thinkpad:~/fedora/xl2tpd (f19)$ sudo yum install xl2tpd
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
http://download.lab.bos.redhat.com/rel-eng/brew/fedora/19/repodata/repomd.xml: [Errno 14] curl#6 - "Could not resolve host: download.lab.bos.redhat.com; Name or service not known"
Trying other mirror.
Resolving Dependencies
--> Running transaction check
---> Package xl2tpd.x86_64 0:1.3.1-13.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================
 Package                        Arch                           Version                                 Repository                      Size
============================================================================================================================================
Installing:
 xl2tpd                         x86_64                         1.3.1-13.fc19                           fedora                         134 k

Transaction Summary
============================================================================================================================================
Install  1 Package

Total download size: 134 k
Installed size: 356 k
Is this ok [y/d/N]:
Comment 2 bugzilla.redhat.com 2013-11-05 06:58:21 EST
Here's my console output:

# yum install xl2tpd
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package xl2tpd.x86_64 0:1.3.1-13.fc19 will be installed
--> Processing Dependency: kernel-modules-extra for package: xl2tpd-1.3.1-13.fc19.x86_64
--> Running transaction check
---> Package kernel-debug-modules-extra.x86_64 0:3.11.6-201.fc19 will be installed
--> Processing Dependency: kernel-uname-r = 3.11.6-201.fc19.x86_64.debug for package: kernel-debug-modules-extra-3.11.6-201.fc19.x86_64
--> Running transaction check
---> Package kernel-debug.x86_64 0:3.11.6-201.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================================
 Package                                                   Arch                                  Version                                         Repository                              Size
==============================================================================================================================================================================================
Installing:
 xl2tpd                                                    x86_64                                1.3.1-13.fc19                                   fedora                                 134 k
Installing for dependencies:
 kernel-debug                                              x86_64                                3.11.6-201.fc19                                 updates                                 31 M
 kernel-debug-modules-extra                                x86_64                                3.11.6-201.fc19                                 updates                                2.2 M

Transaction Summary
==============================================================================================================================================================================================
Install  1 Package (+2 Dependent packages)

Total download size: 34 M
Installed size: 145 M
Is this ok [y/d/N]:

# yum deplist xl2tpd
Loaded plugins: langpacks, refresh-packagekit
package: xl2tpd.x86_64 1.3.1-13.fc19
  dependency: /bin/sh
   provider: bash.x86_64 4.2.45-1.fc19
  dependency: kernel-modules-extra
   provider: kernel-modules-extra.x86_64 3.11.6-201.fc19
   provider: kernel-debug-modules-extra.x86_64 3.11.6-201.fc19
  dependency: libc.so.6(GLIBC_2.15)(64bit)
   provider: glibc.x86_64 2.17-18.fc19
  dependency: libcrypto.so.10()(64bit)
   provider: openssl-libs.x86_64 1:1.0.1e-30.fc19
  dependency: libcrypto.so.10(libcrypto.so.10)(64bit)
   provider: openssl-libs.x86_64 1:1.0.1e-30.fc19
  dependency: libpcap.so.1()(64bit)
   provider: libpcap.x86_64 14:1.4.0-1.fc19
  dependency: ppp >= 2.4.5-18
   provider: ppp.x86_64 2.4.5-32.fc19
  dependency: rtld(GNU_HASH)
   provider: glibc.x86_64 2.17-18.fc19
   provider: glibc.i686 2.17-18.fc19
  dependency: systemd
   provider: systemd.x86_64 204-17.fc19

Maybe I should also mention that I've recently upgraded from fc18 to fc19 with fedup.

Btw. I solved the issue for myself for now by de-installing xl2tpd and kernel-debug.
Comment 3 bugzilla.redhat.com 2013-12-02 06:54:54 EST
I am able to reproduce the bug on a second computer; I use FC both on my computer at work and at home. The procedure I followed on both computer:

1) upgrade Fedora Core 18 -> 19 with fedup

2) yum groupinstall "GNOME Desktop"
3) yum groupinstall "KDE Plasma Workspaces"
(I do this so I have complete version of both DEs again.)

Today, when i tried step 2, the groupinstall for GNOME I noticed both kernel-debug and xl2tpd in the depency list:

yum groupinstall "GNOME Desktop"                                                                                                                                                    
Loaded plugins: refresh-packagekit                                                                                                                                                                            
There is no installed groups file.                                                                                                                                                                            
Maybe run: yum groups mark convert                                                                                                                                                                            
Package gstreamer1-plugins-bad-free-1.0.10-1.fc19.x86_64 already installed and latest version                                                                                                                 
Package gstreamer1-plugins-good-1.0.10-1.fc19.x86_64 already installed and latest version                                                                                                                     
Warning: Group firefox does not have any packages to install.                                                                                                                                                 
Warning: Group base-x does not have any packages to install.                                                                                                                                                  
Warning: Group printing does not have any packages to install.                                                                                                                                                
Package gtk2-immodule-xim-2.24.22-2.fc19.x86_64 already installed and latest version                                                                                                                          
Package imsettings-gsettings-1.6.6-1.fc19.x86_64 already installed and latest version                                                                                                                         
Package ibus-qt-1.3.2-2.fc19.x86_64 already installed and latest version                                                                                                                                      
Package im-chooser-xfce-1.6.4-1.fc19.x86_64 already installed and latest version                                                                                                                              
Package ibus-gtk3-1.5.4-2.fc19.x86_64 already installed and latest version                                                                                                                                    
Package ibus-gtk2-1.5.4-2.fc19.x86_64 already installed and latest version                                                                                                                                    
Package imsettings-xfce-1.6.6-1.fc19.x86_64 already installed and latest version                                                                                                                              
Package imsettings-qt-1.6.6-1.fc19.x86_64 already installed and latest version                                                                                                                                
Resolving Dependencies                                                                                                                                                                                        
--> Running transaction check                                                                                                                                                                                 
---> Package NetworkManager-l2tp.x86_64 0:0.9.8-4.fc19 will be installed                                                                                                                                      
--> Processing Dependency: xl2tpd for package: NetworkManager-l2tp-0.9.8-4.fc19.x86_64                                                                                                                        
--> Processing Dependency: openswan for package: NetworkManager-l2tp-0.9.8-4.fc19.x86_64                                                                                                                      
---> Package aic94xx-firmware.noarch 0:30-5.fc19 will be installed                                                                                                                                            
---> Package bash-completion.noarch 1:2.1-2.fc19 will be installed                                                                                                                                            
---> Package bijiben.x86_64 0:3.8.3-1.fc19 will be installed                                                                                                                                                  
---> Package biosdevname.x86_64 0:0.4.1-4.fc19 will be installed                                                                                                                                              
---> Package bridge-utils.x86_64 0:1.5-7.fc19 will be installed                                                                                                                                               
---> Package btrfs-progs.x86_64 0:0.20.rc1.20130917git194aa4a-1.fc19 will be installed                                                                                                                        
---> Package chrony.x86_64 0:1.29-1.fc19 will be installed                                                                                                                                                    
---> Package cjkuni-uming-fonts.noarch 0:0.2.20080216.1-52.fc19 will be installed                                                                                                                             
---> Package evolution-ews.x86_64 0:3.8.5-3.fc19 will be installed                                                                                                                                            
---> Package gnome-boxes.x86_64 0:3.8.4-1.fc19 will be installed                                                                                                                                              
--> Processing Dependency: libvirt-gobject-1.0.so.0(LIBVIRT_GOBJECT_0.1.4)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64                                                                                
--> Processing Dependency: libvirt-gobject-1.0.so.0(LIBVIRT_GOBJECT_0.1.3)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64                                                                                
--> Processing Dependency: libvirt-gobject-1.0.so.0(LIBVIRT_GOBJECT_0.1.2)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64                                                                                
--> Processing Dependency: libvirt-gobject-1.0.so.0(LIBVIRT_GOBJECT_0.0.9)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64                                                                                
--> Processing Dependency: libvirt-gobject-1.0.so.0(LIBVIRT_GOBJECT_0.0.8)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64                                                                                
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.1.6)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.1.5)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.1.4)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.1.0)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.0.9)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0(LIBVIRT_GCONFIG_0.0.8)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-daemon-kvm for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libgovirt.so.1(GOVIRT_0.0.2)(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: fuseiso for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt.so.0()(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gobject-1.0.so.0()(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libvirt-gconfig-1.0.so.0()(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
--> Processing Dependency: libgovirt.so.1()(64bit) for package: gnome-boxes-3.8.4-1.fc19.x86_64
---> Package gnome-clocks.x86_64 0:3.8.2-1.fc19 will be installed
---> Package gnome-font-viewer.x86_64 0:3.8.0-1.fc19 will be installed
---> Package gnome-getting-started-docs.noarch 0:3.8.3-1.fc19 will be installed
---> Package gnome-initial-setup.x86_64 0:0.12-1.fc19 will be installed
---> Package gnome-mplayer.x86_64 0:1.0.8-2.fc19 will be installed
--> Processing Dependency: gnome-mplayer-common(x86-64) = 1.0.8-2.fc19 for package: gnome-mplayer-1.0.8-2.fc19.x86_64
--> Processing Dependency: libgda-sqlite for package: gnome-mplayer-1.0.8-2.fc19.x86_64
--> Processing Dependency: libgmlib.so.1()(64bit) for package: gnome-mplayer-1.0.8-2.fc19.x86_64
--> Processing Dependency: libgda-5.0.so.4()(64bit) for package: gnome-mplayer-1.0.8-2.fc19.x86_64
--> Processing Dependency: libgmtk.so.1()(64bit) for package: gnome-mplayer-1.0.8-2.fc19.x86_64
---> Package gnome-weather.x86_64 0:3.8.2-1.fc19 will be installed
---> Package gnu-free-mono-fonts.noarch 0:20120503-7.fc19 will be installed
--> Processing Dependency: gnu-free-fonts-common = 20120503-7.fc19 for package: gnu-free-mono-fonts-20120503-7.fc19.noarch
---> Package gnu-free-sans-fonts.noarch 0:20120503-7.fc19 will be installed
---> Package gnu-free-serif-fonts.noarch 0:20120503-7.fc19 will be installed
---> Package google-noto-sans-lisu-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package google-noto-sans-mandaic-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package google-noto-sans-meeteimayek-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package google-noto-sans-tagalog-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package google-noto-sans-tai-tham-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package google-noto-sans-tai-viet-fonts.noarch 0:20130807-1.fc19 will be installed
---> Package gstreamer-plugins-espeak.x86_64 0:0.4.0-2.fc19 will be installed
---> Package gstreamer1-plugins-ugly.x86_64 0:1.0.10-1.fc19 will be installed
---> Package gtk3-immodule-xim.x86_64 0:3.8.6-1.fc19 will be installed
---> Package gvfs-goa.x86_64 0:1.16.3-2.fc19 will be installed
---> Package gvfs-mtp.x86_64 0:1.16.3-2.fc19 will be installed
---> Package ibus-kkc.x86_64 0:1.5.18-1.fc19 will be installed
--> Processing Dependency: libkkc.so.2()(64bit) for package: ibus-kkc-1.5.18-1.fc19.x86_64
---> Package ibus-typing-booster.noarch 0:1.2.5-1.fc19 will be installed
--> Processing Dependency: libtranslit-m17n for package: ibus-typing-booster-1.2.5-1.fc19.noarch
---> Package imsettings-lxde.x86_64 0:1.6.6-1.fc19 will be installed
---> Package isdn4k-utils.x86_64 0:3.2-90.fc19 will be installed
---> Package iwl100-firmware.noarch 0:39.31.5.1-29.fc19 will be installed
---> Package iwl105-firmware.noarch 0:18.168.6.1-29.fc19 will be installed
---> Package iwl135-firmware.noarch 0:18.168.6.1-29.fc19 will be installed
---> Package iwl2000-firmware.noarch 0:18.168.6.1-29.fc19 will be installed
---> Package iwl2030-firmware.noarch 0:18.168.6.1-29.fc19 will be installed
---> Package iwl6000g2a-firmware.noarch 0:17.168.5.3-29.fc19 will be installed
---> Package iwl6000g2b-firmware.noarch 0:17.168.5.2-29.fc19 will be installed
---> Package iwl6050-firmware.noarch 0:41.28.5.1-29.fc19 will be installed
---> Package linux-atm.x86_64 0:2.5.1-7.fc19 will be installed
---> Package lrzsz.x86_64 0:0.12.20-33.fc19 will be installed
---> Package minicom.x86_64 0:2.6.2-2.fc19 will be installed
---> Package nhn-nanum-gothic-fonts.noarch 0:3.020-8.fc19 will be installed
--> Processing Dependency: nhn-nanum-fonts-common = 3.020-8.fc19 for package: nhn-nanum-gothic-fonts-3.020-8.fc19.noarch
---> Package open-vm-tools-desktop.x86_64 0:9.2.3-10.fc19 will be installed
--> Processing Dependency: open-vm-tools(x86-64) = 9.2.3-10.fc19 for package: open-vm-tools-desktop-9.2.3-10.fc19.x86_64
--> Processing Dependency: libvmtools.so.0()(64bit) for package: open-vm-tools-desktop-9.2.3-10.fc19.x86_64
--> Processing Dependency: libhgfs.so.0()(64bit) for package: open-vm-tools-desktop-9.2.3-10.fc19.x86_64
---> Package pinfo.x86_64 0:0.6.10-7.fc19 will be installed
---> Package pulseaudio-module-x11.x86_64 0:3.0-10.fc19 will be installed
---> Package qemu-guest-agent.x86_64 2:1.4.2-13.fc19 will be installed
---> Package ql2100-firmware.noarch 0:1.19.38-7.fc19 will be installed
---> Package ql2200-firmware.noarch 0:2.02.08-7.fc19 will be installed
---> Package ql23xx-firmware.noarch 0:3.03.28-5.fc19 will be installed
---> Package realmd.x86_64 0:0.14.5-1.fc19 will be installed
---> Package rp-pppoe.x86_64 0:3.11-2.fc19 will be installed
---> Package sil-mingzat-fonts.noarch 0:0.020-2.fc19 will be installed
---> Package sil-nuosu-fonts.noarch 0:2.1.1-6.fc19 will be installed
---> Package spice-vdagent.x86_64 0:0.14.0-5.fc19 will be installed
---> Package tabish-eeyek-fonts.noarch 0:1.0-4.fc19 will be installed
---> Package wvdial.x86_64 0:1.61-7.fc19 will be installed
--> Processing Dependency: libwvutils.so.4.6()(64bit) for package: wvdial-1.61-7.fc19.x86_64
--> Processing Dependency: libwvstreams.so.4.6()(64bit) for package: wvdial-1.61-7.fc19.x86_64
--> Processing Dependency: libwvbase.so.4.6()(64bit) for package: wvdial-1.61-7.fc19.x86_64
--> Processing Dependency: libuniconf.so.4.6()(64bit) for package: wvdial-1.61-7.fc19.x86_64
---> Package yum-langpacks.noarch 0:0.4.1-3.fc19 will be installed
--> Processing Dependency: langtable-python for package: yum-langpacks-0.4.1-3.fc19.noarch
--> Running transaction check
---> Package fuseiso.x86_64 0:20070708-13.fc19 will be installed
---> Package gmtk.x86_64 0:1.0.8-2.fc19 will be installed
---> Package gnome-mplayer-common.x86_64 0:1.0.8-2.fc19 will be installed
---> Package gnu-free-fonts-common.noarch 0:20120503-7.fc19 will be installed
---> Package langtable-python.noarch 0:0.0.13-1.fc19 will be installed
--> Processing Dependency: langtable-data = 0.0.13-1.fc19 for package: langtable-python-0.0.13-1.fc19.noarch
--> Processing Dependency: langtable = 0.0.13-1.fc19 for package: langtable-python-0.0.13-1.fc19.noarch
---> Package libgda.x86_64 1:5.1.2-2.fc19 will be installed
---> Package libgda-sqlite.x86_64 1:5.1.2-2.fc19 will be installed
---> Package libgovirt.x86_64 0:0.1.0-1.fc19 will be installed
---> Package libkkc.x86_64 0:0.3.1-1.fc19 will be installed
--> Processing Dependency: libkkc-data = 0.3.1-1.fc19 for package: libkkc-0.3.1-1.fc19.x86_64
--> Processing Dependency: libkkc-common = 0.3.1-1.fc19 for package: libkkc-0.3.1-1.fc19.x86_64
--> Processing Dependency: skkdic for package: libkkc-0.3.1-1.fc19.x86_64
--> Processing Dependency: libmarisa.so.0()(64bit) for package: libkkc-0.3.1-1.fc19.x86_64
---> Package libreswan.x86_64 0:3.5-2.fc19 will be installed
--> Processing Dependency: libunbound.so.2()(64bit) for package: libreswan-3.5-2.fc19.x86_64
---> Package libtranslit-m17n.x86_64 0:0.0.3-2.fc19 will be installed
--> Processing Dependency: libtranslit(x86-64) = 0.0.3-2.fc19 for package: libtranslit-m17n-0.0.3-2.fc19.x86_64
---> Package libvirt-client.x86_64 0:1.0.5.7-2.fc19 will be installed
--> Processing Dependency: gnutls-utils for package: libvirt-client-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libwsman_curl_client_transport.so.1()(64bit) for package: libvirt-client-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libwsman_client.so.1()(64bit) for package: libvirt-client-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libwsman.so.1()(64bit) for package: libvirt-client-1.0.5.7-2.fc19.x86_64
---> Package libvirt-daemon-kvm.x86_64 0:1.0.5.7-2.fc19 will be installed
--> Processing Dependency: libvirt-daemon-driver-storage = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-secret = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-qemu = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-nwfilter = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-nodedev = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-network = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon-driver-interface = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: libvirt-daemon = 1.0.5.7-2.fc19 for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: qemu-kvm for package: libvirt-daemon-kvm-1.0.5.7-2.fc19.x86_64
---> Package libvirt-gconfig.x86_64 0:0.1.6-1.fc19 will be installed
---> Package libvirt-gobject.x86_64 0:0.1.6-1.fc19 will be installed
--> Processing Dependency: libvirt-glib-1.0.so.0(LIBVIRT_GLIB_0.1.4)(64bit) for package: libvirt-gobject-0.1.6-1.fc19.x86_64
--> Processing Dependency: libvirt-glib-1.0.so.0(LIBVIRT_GLIB_0.0.7)(64bit) for package: libvirt-gobject-0.1.6-1.fc19.x86_64
--> Processing Dependency: libvirt-glib-1.0.so.0()(64bit) for package: libvirt-gobject-0.1.6-1.fc19.x86_64
---> Package libwvstreams.x86_64 0:4.6.1-8.fc19 will be installed
---> Package nhn-nanum-fonts-common.noarch 0:3.020-8.fc19 will be installed
---> Package open-vm-tools.x86_64 0:9.2.3-10.fc19 will be installed
--> Processing Dependency: libdnet.so.1()(64bit) for package: open-vm-tools-9.2.3-10.fc19.x86_64
---> Package xl2tpd.x86_64 0:1.3.1-13.fc19 will be installed
--> Processing Dependency: kernel-modules-extra for package: xl2tpd-1.3.1-13.fc19.x86_64
--> Running transaction check
---> Package gnutls-utils.x86_64 0:3.1.16-1.fc19 will be installed
--> Processing Dependency: gnutls-dane(x86-64) = 3.1.16-1.fc19 for package: gnutls-utils-3.1.16-1.fc19.x86_64
--> Processing Dependency: libgnutls-dane.so.0(DANE_0_0)(64bit) for package: gnutls-utils-3.1.16-1.fc19.x86_64
--> Processing Dependency: libgnutls-dane.so.0()(64bit) for package: gnutls-utils-3.1.16-1.fc19.x86_64
---> Package kernel-debug-modules-extra.x86_64 0:3.11.9-200.fc19 will be installed
--> Processing Dependency: kernel-uname-r = 3.11.9-200.fc19.x86_64.debug for package: kernel-debug-modules-extra-3.11.9-200.fc19.x86_64
---> Package langtable.noarch 0:0.0.13-1.fc19 will be installed
---> Package langtable-data.noarch 0:0.0.13-1.fc19 will be installed
---> Package libdnet.x86_64 0:1.12-11.fc19 will be installed
---> Package libkkc-common.noarch 0:0.3.1-1.fc19 will be installed
---> Package libkkc-data.x86_64 0:0.3.1-1.fc19 will be installed
---> Package libtranslit.x86_64 0:0.0.3-2.fc19 will be installed
---> Package libvirt-daemon.x86_64 0:1.0.5.7-2.fc19 will be installed
--> Processing Dependency: netcf-libs >= 0.2.2 for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: glusterfs-client >= 2.0.1 for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: sheepdog for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: radvd for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: numad for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: lzop for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: iscsi-initiator-utils for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
--> Processing Dependency: /usr/bin/qemu-img for package: libvirt-daemon-1.0.5.7-2.fc19.x86_64
---> Package libvirt-daemon-driver-interface.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-network.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-nodedev.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-nwfilter.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-qemu.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-secret.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-daemon-driver-storage.x86_64 0:1.0.5.7-2.fc19 will be installed
---> Package libvirt-glib.x86_64 0:0.1.6-1.fc19 will be installed
---> Package libwsman1.x86_64 0:2.3.6-6.fc19 will be installed
---> Package marisa.x86_64 0:0.2.2-2.fc19 will be installed
---> Package qemu-kvm.x86_64 2:1.4.2-13.fc19 will be installed
--> Processing Dependency: qemu-system-x86 = 2:1.4.2-13.fc19 for package: 2:qemu-kvm-1.4.2-13.fc19.x86_64
---> Package skkdic.noarch 0:20131114-7.T1121.fc19 will be installed
---> Package unbound-libs.x86_64 0:1.4.21-1.fc19 will be installed
--> Processing Dependency: libldns.so.1()(64bit) for package: unbound-libs-1.4.21-1.fc19.x86_64
--> Running transaction check
---> Package glusterfs-fuse.x86_64 0:3.4.1-1.fc19 will be installed
---> Package gnutls-dane.x86_64 0:3.1.16-1.fc19 will be installed
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.873-7.fc19 will be installed
---> Package kernel-debug.x86_64 0:3.11.9-200.fc19 will be installed
---> Package ldns.x86_64 0:1.6.16-2.fc19 will be installed
---> Package lzop.x86_64 0:1.03-8.fc19 will be installed
---> Package netcf-libs.x86_64 0:0.2.3-4.fc19 will be installed
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.8.0)(64bit) for package: netcf-libs-0.2.3-4.fc19.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.1.0)(64bit) for package: netcf-libs-0.2.3-4.fc19.x86_64
--> Processing Dependency: libaugeas.so.0()(64bit) for package: netcf-libs-0.2.3-4.fc19.x86_64
---> Package numad.x86_64 0:0.5-10.20121130git.fc19 will be installed
---> Package qemu-img.x86_64 2:1.4.2-13.fc19 will be installed
---> Package qemu-system-x86.x86_64 2:1.4.2-13.fc19 will be installed
--> Processing Dependency: qemu-common = 2:1.4.2-13.fc19 for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: seabios-bin >= 0.6.0-2 for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libseccomp >= 1.0.0 for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: sgabios-bin for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: seavgabios-bin for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.8.3)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.8.2)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.8.1)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.6.0)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.11.2)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.10.4)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.10.3)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.10.2)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.10.1)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1(SPICE_SERVER_0.10.0)(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: ipxe-roms-qemu for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libspice-server.so.1()(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
--> Processing Dependency: libseccomp.so.2()(64bit) for package: 2:qemu-system-x86-1.4.2-13.fc19.x86_64
---> Package radvd.x86_64 0:1.9.2-3.fc19 will be installed
---> Package sheepdog.x86_64 0:0.3.0-4.fc19 will be installed
--> Processing Dependency: libcpg.so.4(COROSYNC_CPG_1.0)(64bit) for package: sheepdog-0.3.0-4.fc19.x86_64
--> Processing Dependency: libcfg.so.6(COROSYNC_CFG_0.82)(64bit) for package: sheepdog-0.3.0-4.fc19.x86_64
--> Processing Dependency: corosync for package: sheepdog-0.3.0-4.fc19.x86_64
--> Processing Dependency: libcpg.so.4()(64bit) for package: sheepdog-0.3.0-4.fc19.x86_64
--> Processing Dependency: libcfg.so.6()(64bit) for package: sheepdog-0.3.0-4.fc19.x86_64
--> Running transaction check
---> Package augeas-libs.x86_64 0:1.1.0-1.fc19 will be installed
---> Package corosync.x86_64 0:2.3.2-1.fc19 will be installed
--> Processing Dependency: libqb.so.0()(64bit) for package: corosync-2.3.2-1.fc19.x86_64
---> Package corosynclib.x86_64 0:2.3.2-1.fc19 will be installed
--> Processing Dependency: librdmacm.so.1(RDMACM_1.0)(64bit) for package: corosynclib-2.3.2-1.fc19.x86_64
--> Processing Dependency: libibverbs.so.1(IBVERBS_1.1)(64bit) for package: corosynclib-2.3.2-1.fc19.x86_64
--> Processing Dependency: libibverbs.so.1(IBVERBS_1.0)(64bit) for package: corosynclib-2.3.2-1.fc19.x86_64
--> Processing Dependency: librdmacm.so.1()(64bit) for package: corosynclib-2.3.2-1.fc19.x86_64
--> Processing Dependency: libibverbs.so.1()(64bit) for package: corosynclib-2.3.2-1.fc19.x86_64
---> Package ipxe-roms-qemu.noarch 0:20130517-2.gitc4bce43.fc19 will be installed
---> Package libseccomp.x86_64 0:2.1.0-0.fc19 will be installed
---> Package qemu-common.x86_64 2:1.4.2-13.fc19 will be installed
---> Package seabios-bin.noarch 0:1.7.2.2-2.fc19 will be installed
---> Package seavgabios-bin.noarch 0:1.7.2.2-2.fc19 will be installed
---> Package sgabios-bin.noarch 1:0.20110622svn-5.fc19 will be installed
---> Package spice-server.x86_64 0:0.12.4-3.fc19 will be installed
--> Running transaction check
---> Package libibverbs.x86_64 0:1.1.7-3.fc19 will be installed
---> Package libqb.x86_64 0:0.14.4-2.fc19 will be installed
---> Package librdmacm.x86_64 0:1.0.17-1.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================================================
 Package                                                    Arch                           Version                                                       Repository                                      Size
==============================================================================================================================================================================================================
Installing:
 NetworkManager-l2tp                                        x86_64                         0.9.8-4.fc19                                                  updates                                         89 k
 aic94xx-firmware                                           noarch                         30-5.fc19                                                     fedora                                          23 k
 bash-completion                                            noarch                         1:2.1-2.fc19                                                  fedora                                         230 k
 bijiben                                                    x86_64                         3.8.3-1.fc19                                                  fedora                                         232 k
 biosdevname                                                x86_64                         0.4.1-4.fc19                                                  fedora                                          35 k
 bridge-utils                                               x86_64                         1.5-7.fc19                                                    fedora                                          32 k
 btrfs-progs                                                x86_64                         0.20.rc1.20130917git194aa4a-1.fc19                            updates                                        370 k
 chrony                                                     x86_64                         1.29-1.fc19                                                   updates                                        252 k
 cjkuni-uming-fonts                                         noarch                         0.2.20080216.1-52.fc19                                        fedora                                         8.2 M
 evolution-ews                                              x86_64                         3.8.5-3.fc19                                                  updates                                        343 k
 gnome-boxes                                                x86_64                         3.8.4-1.fc19                                                  updates                                        1.3 M
 gnome-clocks                                               x86_64                         3.8.2-1.fc19                                                  fedora                                         279 k
 gnome-font-viewer                                          x86_64                         3.8.0-1.fc19                                                  fedora                                         102 k
 gnome-getting-started-docs                                 noarch                         3.8.3-1.fc19                                                  fedora                                          13 M
 gnome-initial-setup                                        x86_64                         0.12-1.fc19                                                   fedora                                         1.0 M
 gnome-mplayer                                              x86_64                         1.0.8-2.fc19                                                  rpmfusion-free                                 140 k
 gnome-weather                                              x86_64                         3.8.2-1.fc19                                                  fedora                                         9.7 M
 gnu-free-mono-fonts                                        noarch                         20120503-7.fc19                                               updates                                        692 k
 gnu-free-sans-fonts                                        noarch                         20120503-7.fc19                                               updates                                        1.3 M
 gnu-free-serif-fonts                                       noarch                         20120503-7.fc19                                               updates                                        2.6 M
 google-noto-sans-lisu-fonts                                noarch                         20130807-1.fc19                                               updates                                         13 k
 google-noto-sans-mandaic-fonts                             noarch                         20130807-1.fc19                                               updates                                         17 k
 google-noto-sans-meeteimayek-fonts                         noarch                         20130807-1.fc19                                               updates                                         19 k
 google-noto-sans-tagalog-fonts                             noarch                         20130807-1.fc19                                               updates                                         13 k
 google-noto-sans-tai-tham-fonts                            noarch                         20130807-1.fc19                                               updates                                         34 k
 google-noto-sans-tai-viet-fonts                            noarch                         20130807-1.fc19                                               updates                                         19 k
 gstreamer-plugins-espeak                                   x86_64                         0.4.0-2.fc19                                                  fedora                                          26 k
 gstreamer1-plugins-ugly                                    x86_64                         1.0.10-1.fc19                                                 rpmfusion-free-updates                         237 k
 gtk3-immodule-xim                                          x86_64                         3.8.6-1.fc19                                                  updates                                         24 k
 gvfs-goa                                                   x86_64                         1.16.3-2.fc19                                                 updates                                         54 k
 gvfs-mtp                                                   x86_64                         1.16.3-2.fc19                                                 updates                                        102 k
 ibus-kkc                                                   x86_64                         1.5.18-1.fc19                                                 updates                                         72 k
 ibus-typing-booster                                        noarch                         1.2.5-1.fc19                                                  updates                                        128 k
 imsettings-lxde                                            x86_64                         1.6.6-1.fc19                                                  updates                                        103 k
 isdn4k-utils                                               x86_64                         3.2-90.fc19                                                   fedora                                         1.4 M
 iwl100-firmware                                            noarch                         39.31.5.1-29.fc19                                             updates                                        141 k
 iwl105-firmware                                            noarch                         18.168.6.1-29.fc19                                            updates                                        226 k
 iwl135-firmware                                            noarch                         18.168.6.1-29.fc19                                            updates                                        235 k
 iwl2000-firmware                                           noarch                         18.168.6.1-29.fc19                                            updates                                        228 k
 iwl2030-firmware                                           noarch                         18.168.6.1-29.fc19                                            updates                                        237 k
 iwl6000g2a-firmware                                        noarch                         17.168.5.3-29.fc19                                            updates                                        301 k
 iwl6000g2b-firmware                                        noarch                         17.168.5.2-29.fc19                                            updates                                        302 k
 iwl6050-firmware                                           noarch                         41.28.5.1-29.fc19                                             updates                                        234 k
 linux-atm                                                  x86_64                         2.5.1-7.fc19                                                  fedora                                         371 k
 lrzsz                                                      x86_64                         0.12.20-33.fc19                                               fedora                                          77 k
 minicom                                                    x86_64                         2.6.2-2.fc19                                                  updates                                        267 k
 nhn-nanum-gothic-fonts                                     noarch                         3.020-8.fc19                                                  fedora                                         6.1 M
 open-vm-tools-desktop                                      x86_64                         9.2.3-10.fc19                                                 updates                                        150 k
 pinfo                                                      x86_64                         0.6.10-7.fc19                                                 fedora                                         116 k
 pulseaudio-module-x11                                      x86_64                         3.0-10.fc19                                                   fedora                                          38 k
 qemu-guest-agent                                           x86_64                         2:1.4.2-13.fc19                                               updates                                        126 k
 ql2100-firmware                                            noarch                         1.19.38-7.fc19                                                fedora                                          41 k
 ql2200-firmware                                            noarch                         2.02.08-7.fc19                                                fedora                                          45 k
 ql23xx-firmware                                            noarch                         3.03.28-5.fc19                                                fedora                                          94 k
 realmd                                                     x86_64                         0.14.5-1.fc19                                                 updates                                        230 k
 rp-pppoe                                                   x86_64                         3.11-2.fc19                                                   fedora                                         112 k
 sil-mingzat-fonts                                          noarch                         0.020-2.fc19                                                  fedora                                          86 k
 sil-nuosu-fonts                                            noarch                         2.1.1-6.fc19                                                  fedora                                         193 k
 spice-vdagent                                              x86_64                         0.14.0-5.fc19                                                 updates                                         64 k
 tabish-eeyek-fonts                                         noarch                         1.0-4.fc19                                                    fedora                                          21 k
 wvdial                                                     x86_64                         1.61-7.fc19                                                   fedora                                         108 k
 yum-langpacks                                              noarch                         0.4.1-3.fc19                                                  updates                                         27 k
Installing for dependencies:
 augeas-libs                                                x86_64                         1.1.0-1.fc19                                                  updates                                        320 k
 corosync                                                   x86_64                         2.3.2-1.fc19                                                  updates                                        183 k
 corosynclib                                                x86_64                         2.3.2-1.fc19                                                  updates                                        109 k
 fuseiso                                                    x86_64                         20070708-13.fc19                                              fedora                                          30 k
 glusterfs-fuse                                             x86_64                         3.4.1-1.fc19                                                  updates                                         91 k
 gmtk                                                       x86_64                         1.0.8-2.fc19                                                  rpmfusion-free                                  81 k
 gnome-mplayer-common                                       x86_64                         1.0.8-2.fc19                                                  rpmfusion-free                                 258 k
 gnu-free-fonts-common                                      noarch                         20120503-7.fc19                                               updates                                        127 k
 gnutls-dane                                                x86_64                         3.1.16-1.fc19                                                 updates                                         50 k
 gnutls-utils                                               x86_64                         3.1.16-1.fc19                                                 updates                                        266 k
 ipxe-roms-qemu                                             noarch                         20130517-2.gitc4bce43.fc19                                    fedora                                         813 k
 iscsi-initiator-utils                                      x86_64                         6.2.0.873-7.fc19                                              updates                                        451 k
 kernel-debug                                               x86_64                         3.11.9-200.fc19                                               updates                                         31 M
 kernel-debug-modules-extra                                 x86_64                         3.11.9-200.fc19                                               updates                                        2.2 M
 langtable                                                  noarch                         0.0.13-1.fc19                                                 updates                                         28 k
 langtable-data                                             noarch                         0.0.13-1.fc19                                                 updates                                        304 k
 langtable-python                                           noarch                         0.0.13-1.fc19                                                 updates                                         23 k
 ldns                                                       x86_64                         1.6.16-2.fc19                                                 fedora                                         469 k
 libdnet                                                    x86_64                         1.12-11.fc19                                                  fedora                                          30 k
 libgda                                                     x86_64                         1:5.1.2-2.fc19                                                fedora                                         1.2 M
 libgda-sqlite                                              x86_64                         1:5.1.2-2.fc19                                                fedora                                          50 k
 libgovirt                                                  x86_64                         0.1.0-1.fc19                                                  updates                                         33 k
 libibverbs                                                 x86_64                         1.1.7-3.fc19                                                  updates                                         48 k
 libkkc                                                     x86_64                         0.3.1-1.fc19                                                  updates                                        197 k
 libkkc-common                                              noarch                         0.3.1-1.fc19                                                  updates                                         63 k
 libkkc-data                                                x86_64                         0.3.1-1.fc19                                                  updates                                         14 M
 libqb                                                      x86_64                         0.14.4-2.fc19                                                 fedora                                          82 k
 librdmacm                                                  x86_64                         1.0.17-1.fc19                                                 fedora                                          57 k
 libreswan                                                  x86_64                         3.5-2.fc19                                                    updates                                        1.0 M
 libseccomp                                                 x86_64                         2.1.0-0.fc19                                                  fedora                                          38 k
 libtranslit                                                x86_64                         0.0.3-2.fc19                                                  updates                                         11 k
 libtranslit-m17n                                           x86_64                         0.0.3-2.fc19                                                  updates                                        9.3 k
 libvirt-client                                             x86_64                         1.0.5.7-2.fc19                                                updates                                        4.9 M
 libvirt-daemon                                             x86_64                         1.0.5.7-2.fc19                                                updates                                        2.2 M
 libvirt-daemon-driver-interface                            x86_64                         1.0.5.7-2.fc19                                                updates                                         72 k
 libvirt-daemon-driver-network                              x86_64                         1.0.5.7-2.fc19                                                updates                                         86 k
 libvirt-daemon-driver-nodedev                              x86_64                         1.0.5.7-2.fc19                                                updates                                         73 k
 libvirt-daemon-driver-nwfilter                             x86_64                         1.0.5.7-2.fc19                                                updates                                         98 k
 libvirt-daemon-driver-qemu                                 x86_64                         1.0.5.7-2.fc19                                                updates                                        364 k
 libvirt-daemon-driver-secret                               x86_64                         1.0.5.7-2.fc19                                                updates                                         68 k
 libvirt-daemon-driver-storage                              x86_64                         1.0.5.7-2.fc19                                                updates                                        110 k
 libvirt-daemon-kvm                                         x86_64                         1.0.5.7-2.fc19                                                updates                                         34 k
 libvirt-gconfig                                            x86_64                         0.1.6-1.fc19                                                  fedora                                          75 k
 libvirt-glib                                               x86_64                         0.1.6-1.fc19                                                  fedora                                          51 k
 libvirt-gobject                                            x86_64                         0.1.6-1.fc19                                                  fedora                                          58 k
 libwsman1                                                  x86_64                         2.3.6-6.fc19                                                  fedora                                         120 k
 libwvstreams                                               x86_64                         4.6.1-8.fc19                                                  fedora                                         643 k
 lzop                                                       x86_64                         1.03-8.fc19                                                   fedora                                          53 k
 marisa                                                     x86_64                         0.2.2-2.fc19                                                  fedora                                          77 k
 netcf-libs                                                 x86_64                         0.2.3-4.fc19                                                  fedora                                          65 k
 nhn-nanum-fonts-common                                     noarch                         3.020-8.fc19                                                  fedora                                          11 k
 numad                                                      x86_64                         0.5-10.20121130git.fc19                                       fedora                                          28 k
 open-vm-tools                                              x86_64                         9.2.3-10.fc19                                                 updates                                        417 k
 qemu-common                                                x86_64                         2:1.4.2-13.fc19                                               updates                                        214 k
 qemu-img                                                   x86_64                         2:1.4.2-13.fc19                                               updates                                        429 k
 qemu-kvm                                                   x86_64                         2:1.4.2-13.fc19                                               updates                                         40 k
 qemu-system-x86                                            x86_64                         2:1.4.2-13.fc19                                               updates                                        3.0 M
 radvd                                                      x86_64                         1.9.2-3.fc19                                                  fedora                                          84 k
 seabios-bin                                                noarch                         1.7.2.2-2.fc19                                                updates                                         71 k
 seavgabios-bin                                             noarch                         1.7.2.2-2.fc19                                                updates                                         27 k
 sgabios-bin                                                noarch                         1:0.20110622svn-5.fc19                                        fedora                                         7.4 k
 sheepdog                                                   x86_64                         0.3.0-4.fc19                                                  fedora                                          94 k
 skkdic                                                     noarch                         20131114-7.T1121.fc19                                         updates                                        7.4 M
 spice-server                                               x86_64                         0.12.4-3.fc19                                                 updates                                        373 k
 unbound-libs                                               x86_64                         1.4.21-1.fc19                                                 updates                                        294 k
 xl2tpd                                                     x86_64                         1.3.1-13.fc19                                                 fedora                                         134 k

Transaction Summary
==============================================================================================================================================================================================================
Install  62 Packages (+66 Dependent packages)

Total download size: 128 M
Installed size: 389 M
Is this ok [y/d/N]:
Comment 4 bugzilla.redhat.com 2013-12-02 07:07:51 EST
Correction: I noticed the message "There is no installed groups file. Maybe run: yum groups mark convert" and after Googling a bit I suppose I have to use "yum groupupdate" instead of "yum groupinstall". But it still shows the same dependencies (kernel-debug, kernel-debug-modules-extra, xl2tpd) even if I do "yum groupupdate "GNOME Desktop".
Comment 5 Alex Williamson 2013-12-14 14:27:11 EST
Same on fc20, can't uninstall kernel-debug packages and keep xl2tpd:

# yum remove kernel-debug-3.11.10-301.fc20.x86_64 kernel-debug-modules-extra-3.11.10-301.fc20.x86_64
Resolving Dependencies
--> Running transaction check
---> Package kernel-debug.x86_64 0:3.11.10-301.fc20 will be erased
---> Package kernel-debug-modules-extra.x86_64 0:3.11.10-301.fc20 will be erased
--> Processing Dependency: kernel-modules-extra for package: xl2tpd-1.3.1-14.fc20.x86_64
--> Running transaction check
---> Package xl2tpd.x86_64 0:1.3.1-14.fc20 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=========================================================================================================================================
 Package                                     Arch                    Version                              Repository                Size
=========================================================================================================================================
Removing:
 kernel-debug                                x86_64                  3.11.10-301.fc20                     @fedora                  135 M
 kernel-debug-modules-extra                  x86_64                  3.11.10-301.fc20                     @fedora                  8.9 M
Removing for dependencies:
 xl2tpd                                      x86_64                  1.3.1-14.fc20                        @fedora                  360 k

Transaction Summary
=========================================================================================================================================
Remove  2 Packages (+1 Dependent package)

Installed size: 144 M
Is this ok [y/N]:
Comment 6 Konstantin 2014-08-03 07:43:18 EDT
Up-to-date Fedora 20 i686 has similar issue.

xl2tpd reuires kernel-modules-extra which pulls kernel.i686 package.

I am running 3.15.7-200.fc20.i686+PAE kernel and xl2tpd works fine.

Package kernel-PAE-modules-extra-3.15.7-200.fc20.i686 already installed and latest version.

# yum check
xl2tpd-1.3.6-1.fc20.i686 has missing requires of kernel-modules-extra
Error: check all
Comment 7 Didier G 2014-08-16 21:33:15 EDT
Trying to install new PAE kernel 3.15.10-200.fc20 for i686, yum wants remove both NetworkManager-l2tp and xl2tpd



Resolving Dependencies
--> Running transaction check
---> Package kernel-PAE.i686 0:3.15.10-200.fc20 will be installed
---> Package kernel-PAE-devel.i686 0:3.15.10-200.fc20 will be installed
---> Package kernel-PAE-modules-extra.i686 0:3.15.10-200.fc20 will be installed
---> Package kernel-headers.i686 0:3.15.9-200.fc20 will be updated
---> Package kernel-headers.i686 0:3.15.10-200.fc20 will be an update
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel-PAE.i686 0:3.11.10-301.fc20 will be erased
---> Package kernel-PAE-modules-extra.i686 0:3.11.10-301.fc20 will be erased
--> Processing Dependency: kernel-modules-extra for package: xl2tpd-1.3.6-1.fc20.i686
--> Running transaction check
---> Package xl2tpd.i686 0:1.3.6-1.fc20 will be erased
--> Processing Dependency: xl2tpd for package: NetworkManager-l2tp-0.9.8.7-1.fc20.i686
--> Running transaction check
---> Package NetworkManager-l2tp.i686 0:0.9.8.7-1.fc20 will be erased
--> Finished Dependency Resolution

Dependencies Resolved
Comment 8 Fedora End Of Life 2015-01-09 17:21:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Paul Wouters 2015-01-12 16:06:10 EST
bumping to f20 as it is confirmed at least still a problem there
Comment 10 Konstantin 2015-04-06 17:37:47 EDT
I'm pretty sure it's gone.
# yum erase xl2tpd
Resolving Dependencies
--> Running transaction check
---> Package xl2tpd.x86_64 0:1.3.6-6.fc21 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================================================
 Package                                      Arch                                         Version                                             Repository                                       Size
=====================================================================================================================================================================================================
Removing:
 xl2tpd                                       x86_64                                       1.3.6-6.fc21                                        installed                                       359 k

Transaction Summary
=====================================================================================================================================================================================================
Remove  1 Package

Installed size: 359 k
Is this ok [y/N]: N
Exiting on user command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2015-04-07.00-36.Q21hOp.yumtx
Comment 11 Paul Wouters 2015-04-12 16:24:16 EDT
thanks. closed bug
Comment 12 Johannes Pfrang 2015-07-11 13:10:27 EDT
This bug is not yet fixed:

sudo dnf install xl2tpd
Last metadata expiration check performed 0:14:30 ago on Sat Jul 11 18:33:47 2015.
Dependencies resolved.
====================================================================================================================
 Package                                 Arch                Version                     Repository            Size
====================================================================================================================
Installing:
 kernel-debug-core                       x86_64              4.0.7-300.fc22              updates               20 M
 kernel-debug-modules                    x86_64              4.0.7-300.fc22              updates               18 M
 kernel-debug-modules-extra              x86_64              4.0.7-300.fc22              updates              2.3 M
 xl2tpd                                  x86_64              1.3.6-8.fc22                fedora               140 k

Transaction Summary
====================================================================================================================
Install  4 Packages

Total download size: 41 M
Installed size: 63 M
Is this ok [y/N]: n
Operation aborted.


Happening on Fedora 22 Workstation.

testcase.t from --debugsolver:

repo @System 0 testtags @System.repo.gz
repo fedora -99.-1000 testtags fedora.repo.gz
repo rpmfusion-free-updates -99.-1000 testtags rpmfusion-free-updates.repo.gz
repo adobe-linux-x86_64 -99.-1000 testtags adobe-linux-x86_64.repo.gz
repo rpmfusion-nonfree-updates -99.-1000 testtags rpmfusion-nonfree-updates.repo.gz
repo rpmfusion-free -99.-1000 testtags rpmfusion-free.repo.gz
repo ozonos -99.-1000 testtags ozonos.repo.gz
repo updates -99.-1000 testtags updates.repo.gz
repo rpmfusion-nonfree -99.-1000 testtags rpmfusion-nonfree.repo.gz
repo fedora-steam -99.-1000 testtags fedora-steam.repo.gz
system x86_64 rpm @System
poolflags implicitobsoleteusescolors
solverflags allowvendorchange keepexplicitobsoletes bestobeypolicy keeporphans yumobsoletes
job install name xl2tpd
job multiversion provides kernel
job multiversion provides installonlypkg(kernel)
job multiversion provides installonlypkg(kernel-module)
job multiversion provides installonlypkg(vm)
result transaction,problems solver.result


solver.result:

install kernel-debug-core-4.0.7-300.fc22.x86_64@updates
install kernel-debug-modules-4.0.7-300.fc22.x86_64@updates
install kernel-debug-modules-extra-4.0.7-300.fc22.x86_64@updates
install xl2tpd-1.3.6-8.fc22.x86_64@fedora
Comment 13 Saad 2015-07-25 06:17:43 EDT
Experiencing the same bug with Fedora 22 Workstation. Although it's the normal kernel that is booted by default.

# dnf remove kernel-debug-core
Dependencies resolved.
================================================================================
 Package                        Arch       Version            Repository   Size
================================================================================
Removing:
 NetworkManager-l2tp            x86_64     0.9.8.7-3.fc22     @System     338 k
 kernel-debug-core              x86_64     4.0.8-300.fc22     @System      43 M
 kernel-debug-modules           x86_64     4.0.8-300.fc22     @System      18 M
 kernel-debug-modules-extra     x86_64     4.0.8-300.fc22     @System     2.2 M
 libreswan                      x86_64     3.13-1.fc22        @System     3.3 M
 xl2tpd                         x86_64     1.3.6-8.fc22       @System     355 k

Transaction Summary
================================================================================
Remove  6 Packages

Installed size: 67 M
Is this ok [y/N]:
Comment 14 Johannes Pfrang 2015-07-25 06:27:08 EDT
Possible workaround:

# dnf remove xl2tpd
# dnf install xl2tpd --exclude=kernel-debug*

This should install the non-debug modules.
Comment 15 Axel Sommerfeldt 2015-09-26 12:07:25 EDT
Have the same problem with Fedora 23 Workstation (Beta), so it's still not fixed. Could please someone re-open this bug?

[root@f23]# dnf remove kernel-debug*
Dependencies resolved.
================================================================================
 Package                   Arch   Version                         Repository
                                                                           Size
================================================================================
Removing:
 NetworkManager-l2tp       x86_64 0.9.8.7-4.fc23                  @System 338 k
 dyninst                   x86_64 8.2.1-8.fc23                    @System 8.8 M
 kernel-debug-core         x86_64 4.2.0-300.fc23                  @System  53 M
 kernel-debug-core         x86_64 4.2.1-300.fc23                  @System  53 M
 kernel-debug-devel        x86_64 4.2.0-300.fc23                  @System  37 M
 kernel-debug-devel        x86_64 4.2.1-300.fc23                  @System  37 M
 kernel-debug-modules      x86_64 4.2.0-300.fc23                  @System  18 M
 kernel-debug-modules      x86_64 4.2.1-300.fc23                  @System  18 M
 kernel-debug-modules-extra
                           x86_64 4.2.0-300.fc23                  @System 2.2 M
 kernel-debug-modules-extra
                           x86_64 4.2.1-300.fc23                  @System 2.2 M
 libdwarf                  x86_64 20150915-1.fc23                 @System 333 k
 mokutil                   x86_64 1:0.2.0-3.fc23                  @System  75 k
 systemtap                 x86_64 2.9-0.20150713git9d0b65f.fc23.1 @System  44 k
 systemtap-client          x86_64 2.9-0.20150713git9d0b65f.fc23.1 @System 9.6 M
 systemtap-devel           x86_64 2.9-0.20150713git9d0b65f.fc23.1 @System 5.9 M
 systemtap-runtime         x86_64 2.9-0.20150713git9d0b65f.fc23.1 @System 785 k
 xl2tpd                    x86_64 1.3.6-9.fc23                    @System 355 k

Transaction Summary
================================================================================
Remove  17 Packages

Installed size: 246 M
Is this ok [y/N]: 

BTW: I find it rather strange that this bug was closed after https://bugzilla.redhat.com/show_bug.cgi?id=1025301#c10 since this comment does not mean everything. The question is if one can install xl2tpd (or NetworkManager-l2tp) without getting the debug version of the kernel, or if you can remove the debug version of the kernel without loosing xl2tpd (and NetworkManager-l2tp). Of course one can remove xl2tpd without problems, so what's the point of this comment? (And why was the bug closed afterwards?)
Comment 16 Paul Wouters 2015-09-28 10:58:48 EDT
re-opened, but the component should be changed to something else. This is not a problem of xl2tpd. It's either a yum/dnf or a kernel package issue.

The xl2tpd package requires kmod(l2tp_ppp.ko)

That should not draging in debug kernels.

It is provided by kernel-modules-extra
Comment 17 Darren VanBuren 2015-10-26 06:12:15 EDT
I'm also seeing that xl2tpd is pulling in a debug kernel in Fedora 22.

[onekopaka@darren-desktop-fedora ~]$ sudo dnf install xl2tpd
Last metadata expiration check performed 0:36:25 ago on Mon Oct 26 02:34:37 2015.
Dependencies resolved.
=================================================================================
 Package                        Arch       Version             Repository   Size
=================================================================================
Installing:
 kernel-debug-core              x86_64     4.2.3-200.fc22      updates      21 M
 kernel-debug-modules           x86_64     4.2.3-200.fc22      updates      18 M
 kernel-debug-modules-extra     x86_64     4.2.3-200.fc22      updates     2.3 M
 xl2tpd                         x86_64     1.3.6-8.fc22        fedora      140 k

Transaction Summary
=================================================================================
Install  4 Packages
Comment 18 Branko Grubić 2015-11-06 03:43:27 EST
*** Bug 1246344 has been marked as a duplicate of this bug. ***
Comment 19 Sami Juvonen 2015-11-18 22:10:11 EST
I'm seeing this on Fedora 23. Was wondering why my laptop booted the debug kernel. I installed "Xfce Desktop" group, which includes NetworkManager-l2tp, which requires xl2ptd, which pulls in kernel-debug-modules-extra...

sjj@maa: /home/sjj % rpm -q --requires xl2tpd | grep l2tp
config(xl2tpd) = 1.3.6-9.fc23
kmod(l2tp_ppp.ko)
sjj@maa: /home/sjj % rpm -q --whatprovides 'kmod(l2tp_ppp.ko)'
kernel-debug-modules-extra-4.2.5-300.fc23.x86_64
kernel-modules-extra-4.2.5-300.fc23.x86_64

Don't know why dnf resolves to kernel-debug-modules-extra.
Comment 20 Sami Juvonen 2015-11-18 22:19:15 EST
Addition to previous. If I have kernel-modules-extra installed, dnf will not pull the debug modules.
Comment 21 Axel Sommerfeldt 2015-11-24 16:26:40 EST
Thanks for the tip. After installation of kernel-modules-extra I was finally able to remove the kernel-debug stuff without loosing NetworkManager-l2tp and xl2tpd.

So I can confirm this nails down to a problem with the dependencies of NetworkManager-l2tp and xl2tpd which both installs kernel-debug-modules-extra (and therefore the debug kernel) if kernel-modules-extra is not installed.
Comment 22 Paul Wouters 2015-11-25 15:34:20 EST
and again, it is not a problem of xl2tpd and I believe the error component is the kernel. xl2tpd merely has in the spec file:

Requires: kmod(l2tp_ppp.ko)

the fact that this directive drags in a debug kernel is the kernel packaging fault.
Comment 23 Tim Hawkins 2015-12-16 18:32:12 EST
I can also confirm the same problem and that the workaround works too,

[thawkins@timdev05 ~]$ sudo dnf install NetworkManager-l2tp
Last metadata expiration check performed 0:30:11 ago on Thu Dec 17 06:56:39 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                        Arch                                       Version                                               Repository                                   Size
===================================================================================================================================================================================================================
Installing:
 NetworkManager-l2tp                                            x86_64                                     0.9.8.7-4.fc23                                        fedora                                       96 k
 kernel-debug-core                                              x86_64                                     4.2.7-300.fc23                                        updates                                      21 M
 kernel-debug-modules                                           x86_64                                     4.2.7-300.fc23                                        updates                                      18 M
 kernel-debug-modules-extra                                     x86_64                                     4.2.7-300.fc23                                        updates                                     2.3 M
 xl2tpd                                                         x86_64                                     1.3.6-9.fc23                                          fedora                                      140 k

Transaction Summary
===================================================================================================================================================================================================================
Install  5 Packages

Total download size: 42 M
Installed size: 74 M
Is this ok [y/N]: n
Operation aborted.
[thawkins@timdev05 ~]$ sudo dnf install kernel-modules-extra
Last metadata expiration check performed 0:33:18 ago on Thu Dec 17 06:56:39 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                    Arch                                         Version                                               Repository                                     Size
===================================================================================================================================================================================================================
Installing:
 kernel-modules-extra                                       x86_64                                       4.2.7-300.fc23                                        updates                                       2.2 M

Transaction Summary
===================================================================================================================================================================================================================
Install  1 Package

Total download size: 2.2 M
Installed size: 2.1 M
Is this ok [y/N]: y
Downloading Packages:
kernel-modules-extra-4.2.7-300.fc23.x86_64.rpm                                                                                                                                     236 kB/s | 2.2 MB     00:09    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                              159 kB/s | 2.2 MB     00:13     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : kernel-modules-extra-4.2.7-300.fc23.x86_64                                                                                                                                                     1/1 
  Verifying   : kernel-modules-extra-4.2.7-300.fc23.x86_64                                                                                                                                                     1/1 

Installed:
  kernel-modules-extra.x86_64 4.2.7-300.fc23                                                                                                                                                                       

Complete!
[thawkins@timdev05 ~]$ sudo dnf install NetworkManager-l2tp
Last metadata expiration check performed 0:33:50 ago on Thu Dec 17 06:56:39 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                   Arch                                         Version                                                 Repository                                    Size
===================================================================================================================================================================================================================
Installing:
 NetworkManager-l2tp                                       x86_64                                       0.9.8.7-4.fc23                                          fedora                                        96 k
 xl2tpd                                                    x86_64                                       1.3.6-9.fc23                                            fedora                                       140 k

Transaction Summary
===================================================================================================================================================================================================================
Install  2 Packages

Total download size: 236 k
Installed size: 693 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): NetworkManager-l2tp-0.9.8.7-4.fc23.x86_64.rpm                                                                                                                                16 kB/s |  96 kB     00:06    
(2/2): xl2tpd-1.3.6-9.fc23.x86_64.rpm                                                                                                                                               22 kB/s | 140 kB     00:06    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                               30 kB/s | 236 kB     00:07     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : xl2tpd-1.3.6-9.fc23.x86_64                                                                                                                                                                     1/2 
  Installing  : NetworkManager-l2tp-0.9.8.7-4.fc23.x86_64                                                                                                                                                      2/2 
  Verifying   : NetworkManager-l2tp-0.9.8.7-4.fc23.x86_64                                                                                                                                                      1/2 
  Verifying   : xl2tpd-1.3.6-9.fc23.x86_64                                                                                                                                                                     2/2 

Installed:
  NetworkManager-l2tp.x86_64 0.9.8.7-4.fc23                                                                       xl2tpd.x86_64 1.3.6-9.fc23                                                                      

Complete!
[thawkins@timdev05 ~]$
Comment 24 Jan Kurik 2016-02-24 08:13:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 25 Charles R. Anderson 2016-03-08 09:57:53 EST
Re-assigning to 'kernel' component, but this may be a 'dnf' bug.
Comment 26 Justin M. Forbes 2016-03-11 10:31:37 EST
Actually, I am going to assign this to dnf for the moment, there isn't a clear answer here as both the debug and non debug packages have to provide the same dependency if people are going to be able to run debug kernels.  At the kernel level, there really isn't anything we can do. Perhaps dnf has some sort of idea how we can find the "best match" here?
Comment 27 Honza Silhan 2016-03-14 08:08:03 EDT

*** This bug has been marked as a duplicate of bug 1284228 ***

Note You need to log in before you can comment on or make changes to this bug.